Get Jobs
import requests
url = "https://platform.reducto.ai/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.reducto.ai/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.reducto.ai/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"jobs": [
{
"job_id": "<string>",
"status": "Pending",
"type": "Parse",
"raw_config": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"num_pages": 123,
"total_pages": 123,
"duration": 123,
"source": null,
"bucket": null
}
],
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Job Management
Get Jobs
GET
/
jobs
Get Jobs
import requests
url = "https://platform.reducto.ai/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.reducto.ai/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.reducto.ai/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"jobs": [
{
"job_id": "<string>",
"status": "Pending",
"type": "Parse",
"raw_config": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"num_pages": 123,
"total_pages": 123,
"duration": 123,
"source": null,
"bucket": null
}
],
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Exclude raw_config from response to reduce size
Cursor for pagination. Use the next_cursor from the previous response to fetch the next page.
Maximum number of jobs to return per page. Defaults to 100, max 500.
Required range:
1 <= x <= 500Was this page helpful?